/**
 * Handles the composition events for IME input and provides an unified
 * callback.
 */
export declare function useCompositionChange(callback: (e: InputEvent | CompositionEvent, ...others: any) => void): {
    onChange: (e: InputEvent, ...others: any) => void;
    onCompositionStart: (_e: CompositionEvent) => void;
    onCompositionEnd: (e: CompositionEvent, ...others: any) => void;
};
